Custom actions
Get a custom action
Get one custom action.
GET
/
custom-actions
/
{id}
curl -X GET "https://api.nedzo.ai/v1/custom-actions/5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Check zip code",
"condition": "The caller gives a zip code",
"method": "POST",
"url": "https://example.com/coverage",
"parameters": [{ "name": "zip", "type": "string", "required": true }],
"isActive": true,
"authType": "bearer",
"hasAuth": true,
"headerNames": ["X-Team"],
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
This endpoint is for the VIP plan only. Other plans get a
403. See Plan access.Path Parameters
curl -X GET "https://api.nedzo.ai/v1/custom-actions/5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Check zip code",
"condition": "The caller gives a zip code",
"method": "POST",
"url": "https://example.com/coverage",
"parameters": [{ "name": "zip", "type": "string", "required": true }],
"isActive": true,
"authType": "bearer",
"hasAuth": true,
"headerNames": ["X-Team"],
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
Errors
| Status | When |
|---|---|
400 | id is not a valid UUID. |
404 | The action is not in your API key’s scope. |
Was this page helpful?
⌘I
curl -X GET "https://api.nedzo.ai/v1/custom-actions/5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "5a3c1e2b-8d7f-4b6a-9c0e-1f2a3b4c5d6e",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "Check zip code",
"condition": "The caller gives a zip code",
"method": "POST",
"url": "https://example.com/coverage",
"parameters": [{ "name": "zip", "type": "string", "required": true }],
"isActive": true,
"authType": "bearer",
"hasAuth": true,
"headerNames": ["X-Team"],
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}